-------------------------------------------------------------------------------
-- Lorewalkers By Lockslap (US, Bleeding Hollow)
-- <Borderline Amazing>, http://ba-guild.com
-------------------------------------------------------------------------------
local L = LibStub("AceLocale-3.0"):GetLocale("Lorewalkers", false)

-- achievements
Lorewalkers.achievements = { 6856, 6716, 6846, 6857, 6850, 7230, 6754, 6855, 6847, 6858 }

-- waypoints for tomtom
-- notes are from the wowhead guide by Abura, EU - Lightbringer <http://www.wowhead.com/guide=1021/mop-all-exploration-achievements-and-maps-with-location-of-rare-mobs>
Lorewalkers.waypoints		= {
	[806] = {	-- the jade forest
		[19768] = {	-- watersmithing
			achieveID = 6846,
			x = 66.01,
			y = 87.56,
			note = L["Located at Moonwater Retreat."],
		},
		[19664] = {	-- spirit binders
			achieveID = 6754,
			x = 42.26,
			y = 17.47,
			note = L["Urn at the Ruins of Gan Shi in the Terrace of Ten Thunders."],
		},
		[19803] = {	-- the first monks
			achieveID = 6858,
			x = 35.74,
			y = 30.46,
			note = L["At Thunderpaw Refuge, southwest of Tian Monastery."],
		},
		[19785] = { -- the emporer's burden - part 1
			achieveID = 6855,
			x = 47.08,
			y = 45.14,
			note = L["At Dawn's Blossom where the town portals are located."],
		},
		[19618] = { -- the saurok
			achieveID = 6716,
			x = 67.72,
			y = 29.35,
			note = L["On Windless Isle; a pile of skulls in the middle of the Suarok camp."],
		},
		[19786] = { -- the emporer's burden - part 3
			achieveID = 6855,
			x = 55.88,
			y = 56.85,
			note = L["At the Jade Temple near the islands called the Windspire."],
		},
		[19781] = { -- hozen speech
			achieveID = 6850,
			x = 26.38,
			y = 28.33,
			note = L["At the Fertile Copse next to the big, green lion statue."],
		},
		[20416] = { -- xin wo yin the broken hearted
			achieveID = 7230,
			x = 37.30,
			y = 30.12,
			note = L["Statue located at Thunderpaw Overlook."],
		},
	},
	
	[807] = { -- valley of the four winds
		[19769] = { -- waterspeakers
			achieveID = 6846,
			x = 61.22,
			y = 34.69,
			note = L["Fish statue located in New Cifera."],
		},
		[19801] = { -- pandaren fighting tactics
			achieveID = 6858,
			x = 18.84,
			y = 31.70,
			note = L["Paoquan Hollow, where you train with Master Bruised Paw."],
		},
		[19793] = { -- the birthplace of liu lang
			achieveID = 6856,
			x = 20.25,
			y = 55.86,
			note = L["A small statue on the terrace of the house with the quest NPCs in Stoneplow."],
		},
		[19794] = { -- a most famous bill of sale
			achieveID = 6856,
			x = 55.09,
			y = 47.13,
			note = L["On the terrace of the highest building in Halfhill."],
		},
		[19795] = { -- the wandering widow
			achieveID = 6856,
			x = 34.57,
			y = 63.87,
			note = L["On a hill near the summoning stone for Stormsout Brewery."],
		},
		[19783] = { -- embracing the passions
			achieveID = 6850,
			x = 83.19,
			y = 21.18,
			note = L["Left side of the building at Pang's Stead."],
		},
	},
	
	[809] = { -- kun-lai summit
		[19662] = { -- valley of the emperors
			achieveID = 6754,
			x = 50.60,
			y = 48.05,
			note = L["Urn behind the large alter in the Tomb of the Conquerors (52.9, 46.6)."],
		},
		[19790] = { -- the emperor's burden - part 2
			achieveID = 6855,
			x = 43.82,
			y = 51.19,
			note = L["Seeker's Point by Lorewalker Cho."],
		},
		[19809] = { -- victory in kun-lai
			achieveID = 6858,
			x = 63.04,
			y = 40.82,
			note = L["Located at Whispercloud Rise."],
		},
		[19775] = { -- yaungoil
			achieveID = 6847,
			x = 71.72,
			y = 63.02,
			note = L["Located in Fire Camp Yongqi."],
		},
		[20417] = { -- ren yun the blind
			achieveID = 7230,
			x = 44.70,
			y = 52.37,
			note = L["Located at the top of Neverest Pinnacle."],
		},
		[19791] = { -- the emperor's burden - part 7
			achieveID = 6855,
			x = 40.90,
			y = 42.50,
			note = L["Outside the Shado-Pan Monastery, near the summoning stone."],
		},
		[19773] = { -- yaungol tactics
			achieveID = 6847,
			x = 50.30,
			y = 79.30,
			note = L["Located in Fire Camp ordo, its the post with the skull on it."],
		},
		[19619] = { -- the defiant
			achieveID = 6716,
			x = 77.55,
			y = 95.33,
			note = L["Located in the Dark Rookery inside the Ancient Passage."],
		},
		[19788] = { -- the emperor's burden - part 6
			achieveID = 6855,
			x = 67.76,
			y = 48.33,
			note = L["Go to the base of the stairs at the Temple of the White Tiger, turn away from the Temple and face the bridge."],
		},
		[19784] = { -- the hozen ravage
			achieveID = 6850,
			x = 45.76,
			y = 61.90,
			note = L["Located at the Dooker Dome."],
		},
		[19772] = { -- role call
			achieveID = 6846,
			x = 74.48,
			y = 83.55,
			note = L["Fish statue located in a temple at the Inkgill Mere."],
		},
	},
	
	[810] = { -- townlong steppes
		[19776] = { -- trapped in a strange land
			achieveID = 6847,
			x = 84.08,
			y = 72.86,
			note = L["Located at the Hatred's Vice."],
		},
		[19774] = { -- dominance
			achieveID = 6847,
			x = 65.50,
			y = 50.10,
			note = L["Located near Urang's hut in Fire Camp Osul."],
		},
		[19789] = { -- the emperor's burden - part 5
			achieveID = 6855,
			x = 37.74,
			y = 62.91,
			note = L["Located on the top floor of the Niuzao Temple."],
		},
	},

	[811] = { -- vale of eternal blossoms
		[19802] = { -- always remember
			achieveID = 6858,
			x = 52.93,
			y = 68.65,
			note = L["Located at the Tu Shen Burial Ground."],
		},
		[19665] = { -- the thunder king
			achieveID = 6754,
			x = 40.24,
			y = 77.48,
			note = L["Tile piece on the left Mogu statue at the back of Mistfall Village."],
		},
		[19792] = { -- the emperor's burden - part 8
			achieveID = 6855,
			x = 68.80,
			y = 44.22,
			note = L["Opposite side of the lake to Mogu'shan Palace."],
		},
		[19804] = { -- together, we are strong
			achieveID = 6858,
			x = 26.62,
			y = 21.49,
			note = L["Located Ruin's Rise, east of Guo Lai Halls."],
		},
	},
	
	[857] = { -- krasarang wilds
		[19621] = { -- the last stand
			achieveID = 6716,
			x = 32.78,
			y = 29.41,
			note = L["Under the cliffs of Despair at Krasari Falls, near Slovan"],
		},
		[20415] = { -- quan tou kuo the two fisted
			achieveID = 7230,
			x = 81.43,
			y = 11.45,
			note = L["He is just outside Zhu's Bastion on top of a hill to the east."],
		},
		[19771] = { -- origins
			achieveID = 6846,
			x = 30.55,
			y = 38.57,
			note = L["Located at Fallsong Village, north of Dawnsong Retreat."],
		},
		[19663] = { -- the lost dynasty
			achieveID = 6754,
			x = 50.94,
			y = 31.69,
			note = L["Tile in front of the large Mogu statue at the Pools of Youth."],
		},
		[19787] = { -- the emperor's burden - part 4
			achieveID = 6855,
			x = 40.50,
			y = 56.62,
			note = L["In Temple of the Red Crane on the upper floor of the main building."],
		},
		[19796] = { -- waiting for the turtle
			achieveID = 6856,
			x = 72.21,
			y = 31.01,
			note = L["A hard to miss statue on the beach just east of The Incursion."],
		},
		[19782] = { -- hozen maturity
			achieveID = 6850,
			x = 52.39,
			y = 87.66,
			note = L["Located in a cave on the southern island in the Nayeli Lagoon."],
		},
	},
	
	[858] = { -- dread wastes
		[19797] = { -- cycle of the mantid
			achieveID = 6857,
			x = 48.38,
			y = 32.85,
			note = L["At the Clutches of Shek'zeer."],
		},
		[19798] = { -- mantid society
			achieveID = 6857,
			x = 59.90,
			y = 54.70,
			note = L["Located in the Horrid March."],
		},
		[19799] = { -- amber
			achieveID = 6857,
			x = 52.52,
			y = 10.06,
			note = L["Located inside the Amber Vault (53.6, 15.5)."],
		},
		[19800] = { -- the empress
			achieveID = 6857,
			x = 35.53,
			y = 32.61,
			note = L["Located at the Heart of Fear in the Dread Wastes."],
		},
		[19620] = { -- the deserters
			achieveID = 6716,
			x = 67.44,
			y = 60.81,
			note = L["To the southeast of the Lake of Stars."],
		},
	},
}